<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>
<#if ctrl.getItemPSLayoutPanel()??>
<#assign layoutpanel=ctrl.getItemPSLayoutPanel()>
    ${P.getCtrlCode(layoutpanel, 'CONTROL.less').code}
</#if>
.ibz-ionic-item{
        --inner-border-width:0;
}
.iconcheck{
    width: 70px;
}
.selectall{
    padding: 5px 20px;
    padding: 0 20px;
    display: flex;
}
.selectal-label{
    padding-left: 15px;
}
.app-mob-mdctrl{
    height:100%;
    .app-mob-mdctrl-${ctrl.name}{
        overflow: auto;
        height:100%;
        .items{
            .loadmore_btn{
                width: 100%;
                margin: 0;
                --border-radius: 0;
            }
            .ibz-ionic-item{
                --inner-padding-end: 10px;
                --padding-start: 10px;
            }
            ion-item{
              --border-color:white;
              --padding-start:0;
              --inner-padding-end:0;
              --background-activated:white;
            }
            ion-item-options{
                margin: 0 !important;
                padding: 0 !important;
                border-bottom-width:0px !important;
            }
            .app-mob-mdctrl-item{
                margin-top:10px;
            }
            .item-grouped {
              .text{
                margin: 10px 5px;
                font-size: 13px;
                color: #7c7c7c;
              }
            }
            .van-collapse-item__content{
              padding: 0;
            }
        }
        .no-data{
            position: absolute;
            font-size: 16px;
            color: #e8e8e8;
            top: 50%;
            left: 50%;
            transform: translate(-50%);
        }
        .pickUpList {
            width: 100%;
            ion-item { 
                --padding-start:20px;
                --inner-padding-end:10px;
                --background-activated:#5c5c5c;
                border-bottom: 1px solid #e8e8e86b; 
            }
            .app-mob-mdctrl-item{
                margin-top:0;
            }
        }
        .scrollToTop{
          opacity: 0;
          position: absolute;
          right: 20px;
          bottom: 120px;
          width: 30px;
          height: 30px;
          border-radius: 50%;
          line-height: 40px;
          text-align: center;
          background-color: #fff;
          box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.2);
          .van-icon{
            font-size: 20px;
            color: #333;
          }
        }
    }
}
<#if appde??>
// ${appde.getLogicName()}-${ctrl.getLogicName()} 样式
.${appde.getCodeName()?lower_case}-${ctrl.name}{}
</#if>